DefaultMuleAuthentication (Mule ESB 2.2.1 API)
Keywords: org.mule.security.DefaultMuleAuthentication class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.security
Class DefaultMuleAuthentication

    java.lang.Object
      org.mule.security.DefaultMuleAuthentication

All Implemented Interfaces:
  Authentication

    public class DefaultMuleAuthentication

extends Object
implements Authentication

Constructor Summary
`DefaultMuleAuthentication(Credentials credentials)`

Method Summary
`Object` | `getCredentials()`
`Object` | `getPrincipal()`
`Map` | `getProperties()`
`boolean` | `isAuthenticated()`
`void` | `setAuthenticated(boolean b)`
`void` | `setProperties(Map properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultMuleAuthentication

    public DefaultMuleAuthentication(Credentials credentials)

Method Detail

### setAuthenticated

    public void setAuthenticated(boolean b)

  Specified by:
    `setAuthenticated` in interface `Authentication`

### isAuthenticated

    public boolean isAuthenticated()

  Specified by:
    `isAuthenticated` in interface `Authentication`

### getCredentials

    public Object getCredentials()

  Specified by:
    `getCredentials` in interface `Authentication`

### getPrincipal

    public Object getPrincipal()

  Specified by:
    `getPrincipal` in interface `Authentication`

### getProperties

    public Map getProperties()

  Specified by:
    `getProperties` in interface `Authentication`

### setProperties

    public void setProperties(Map properties)

  Specified by:
    `setProperties` in interface `Authentication`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.